"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useWindowDimensions = void 0;
var react_1 = require("react");
var breakpoints_sizes_1 = require("../responsive/breakpoints-sizes");
var getWindowDimensions = function () {
    var width = window.innerWidth, height = window.innerHeight;
    return {
        width: width,
        height: height,
    };
};
var useWindowDimensions = function () {
    var _a = react_1.useState({
        width: breakpoints_sizes_1.BreakpointsSizes.l.min,
        height: breakpoints_sizes_1.BreakpointsSizes.l.min,
    }), windowDimensions = _a[0], setWindowDimensions = _a[1];
    react_1.useEffect(function () {
        var handleResize = function () {
            setWindowDimensions(getWindowDimensions());
        };
        window.addEventListener('resize', handleResize);
        return function () { return window.removeEventListener('resize', handleResize); };
    });
    react_1.useEffect(function () {
        setWindowDimensions(getWindowDimensions());
    }, []);
    return windowDimensions;
};
exports.useWindowDimensions = useWindowDimensions;
//# sourceMappingURL=use-window-dimensions.js.map