"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UiViewport = void 0;
var tslib_1 = require("tslib");
var React = tslib_1.__importStar(require("react"));
var types_1 = require("../types");
var use_window_dimensions_1 = require("../hooks/use-window-dimensions");
var breakpoints_sizes_1 = require("./breakpoints-sizes");
var UiViewport = function (_a) {
    var children = _a.children, criteria = _a.criteria;
    var width = use_window_dimensions_1.useWindowDimensions().width;
    var childrenMemo = React.useMemo(function () { return React.createElement(React.Fragment, null, children); }, []);
    var isSmall = width <= breakpoints_sizes_1.BreakpointsSizes.s.max;
    var isMedium = width >= breakpoints_sizes_1.BreakpointsSizes.m.min && width <= breakpoints_sizes_1.BreakpointsSizes.m.max;
    var isLarge = width >= breakpoints_sizes_1.BreakpointsSizes.l.min;
    if (isSmall) {
        var matchesCriteria = criteria === types_1.Breakpoints.SMALL || criteria === 'l|s' || criteria === 'm|s';
        if (matchesCriteria) {
            return childrenMemo;
        }
    }
    if (isMedium) {
        var matchesCriteria = criteria === types_1.Breakpoints.MEDIUM || criteria === 'l|m' || criteria === 'm|s';
        if (matchesCriteria) {
            return childrenMemo;
        }
    }
    if (isLarge) {
        var matchesCriteria = criteria === types_1.Breakpoints.LARGE || criteria === 'l|m' || criteria === 'l|s';
        if (matchesCriteria) {
            return childrenMemo;
        }
    }
    return null;
};
exports.UiViewport = UiViewport;
exports.UiViewport.displayName = 'UiViewport';
//# sourceMappingURL=viewport.js.map