import * as React from 'react';
import { UiReactElementProps, Sizing } from '../types';
declare type SizingDistribution = {
    /** Applies size to all sides */
    all?: Sizing;
    /** Applies size to top and bottom */
    block?: Sizing;
    /** Applies size to left and right */
    inline?: Sizing;
    /** Applies size to left */
    left?: Sizing;
    /** Applies size to right */
    right?: Sizing;
    /** Applies size to top */
    top?: Sizing;
    /** Applies size to bottom */
    bottom?: Sizing;
};
export declare type UiSpacingProps = UiReactElementProps & {
    children: React.ReactNode;
    /** Margin to use based on [SizingDistribution](./packages-foundation-docs-spacing#sizingdistribution) */
    margin?: SizingDistribution;
    /** Padding to use based on [SizingDistribution](./packages-foundation-docs-spacing#sizingdistribution) */
    padding?: SizingDistribution;
};
export declare const UiSpacing: React.FC<UiSpacingProps>;
export {};
//# sourceMappingURL=spacing.d.ts.map